org.apache.bsf

## Class BSF_Log

- java.lang.Object
- - org.apache.bsf.BSF_Log

-     public class BSF_Log
      extends java.lang.Object

  This class is used in BSF for logging (a delegator for org.apache.commons.logging, which is needed for compilation) using the `org.apache.commons.logging.Log` methods. Therefore this class implements all the `org.apache.commons.logging.Log` methods. If `org.apache.commons.logging.LogFactory` is available, then this class is used to get an `org.apache.commons.logging.Log` instance to which to forward the message. Therefore, if Apache's common logging is available, then it is employed. If Apache's commons logging is not available then a no-op behaviour is employed, modelled after `org.apache.commons.logging.impl.NoOpLog`.
  Author:
    Rony G. Flatscher, 2006-12-08

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BSF_Log()`
    `BSF_Log(java.lang.Class clazz)`
    `BSF_Log(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.Object msg)`
    `void` | `debug(java.lang.Object msg, java.lang.Throwable t)`
    `void` | `error(java.lang.Object msg)`
    `void` | `error(java.lang.Object msg, java.lang.Throwable t)`
    `void` | `fatal(java.lang.Object msg)`
    `void` | `fatal(java.lang.Object msg, java.lang.Throwable t)`
    `void` | `info(java.lang.Object msg)`
    `void` | `info(java.lang.Object msg, java.lang.Throwable t)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isTraceEnabled()`
    `boolean` | `isWarnEnabled()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `trace(java.lang.Object msg)`
    `void` | `trace(java.lang.Object msg, java.lang.Throwable t)`
    `void` | `warn(java.lang.Object msg)`
    `void` | `warn(java.lang.Object msg, java.lang.Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BSF_Log

          public BSF_Log()

    - #### BSF_Log

          public BSF_Log(java.lang.String name)

    - #### BSF_Log

          public BSF_Log(java.lang.Class clazz)

  - ### Method Detail

    - #### debug

          public void debug(java.lang.Object msg)

    - #### debug

          public void debug(java.lang.Object msg,
                            java.lang.Throwable t)

    - #### error

          public void error(java.lang.Object msg)

    - #### error

          public void error(java.lang.Object msg,
                            java.lang.Throwable t)

    - #### fatal

          public void fatal(java.lang.Object msg)

    - #### fatal

          public void fatal(java.lang.Object msg,
                            java.lang.Throwable t)

    - #### info

          public void info(java.lang.Object msg)

    - #### info

          public void info(java.lang.Object msg,
                           java.lang.Throwable t)

    - #### trace

          public void trace(java.lang.Object msg)

    - #### trace

          public void trace(java.lang.Object msg,
                            java.lang.Throwable t)

    - #### warn

          public void warn(java.lang.Object msg)

    - #### warn

          public void warn(java.lang.Object msg,
                           java.lang.Throwable t)

    - #### isDebugEnabled

          public boolean isDebugEnabled()

    - #### isErrorEnabled

          public boolean isErrorEnabled()

    - #### isFatalEnabled

          public boolean isFatalEnabled()

    - #### isInfoEnabled

          public boolean isInfoEnabled()

    - #### isTraceEnabled

          public boolean isTraceEnabled()

    - #### isWarnEnabled

          public boolean isWarnEnabled()

    - #### main

          public static void main(java.lang.String[] args)